| Home | Libraries | People | FAQ | More

# boost::asio::ssl::stream_base Class Reference

Inherited by boost::asio::ssl::stream< Stream, Service >.

Inheritance diagram for boost::asio::ssl::stream_base:

List of all members.

## Detailed Description

The stream_base class is used as a base for the boost::asio::ssl::stream class template so that we have a common place to define various enums.

## Public Types

| client
| Perform handshaking as a client.
| server
| Perform handshaking as a server.
enum | handshake_type { client, server }
| Different handshake types. More...

## Protected Member Functions

| ~stream_base ()
| Protected destructor to prevent deletion through this type.

## Member Enumeration Documentation

enum boost::asio::ssl::stream_base::handshake_type

Different handshake types.

Enumerator:

  client | Perform handshaking as a client.
  server | Perform handshaking as a server.

## Constructor & Destructor Documentation

boost::asio::ssl::stream_base::~stream_base | ( |  | ) | `[protected]`

Protected destructor to prevent deletion through this type.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff